{% extends 'baseDashboard.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
 <div class="body-bg">
      <section class="crancy-wc crancy-wc__full crancy-bg-cover">
        <div class="crancy-wc__form">
          <!-- Welcome Banner -->
          <div class="crancy-wc__form--middle">
            <div class="crancy-wc__form-inner">
              <div class="crancy-wc__logo">
                <a href="index.html"><img src="{{asset('assetsdash/img/logo.png')}}" alt="#" /></a>
              </div>
              <div class="crancy-wc__form-inside">
                <div class="crancy-wc__form-middle">
                  <div class="crancy-wc__form-top">
                    <div class="crancy-wc__heading pd-btm-20">
                      <h3  class="crancy-wc__form-title crancy-wc__form-title__one m-0" >
                      Créez votre compte
                      </h3>
                       {% for flash_error in app.flashes('verify_email_error') %}
                          <div class="alert alert-danger" role="alert">{{ flash_error }}</div>
                      {% endfor %}
                    </div>
                    <!-- Sign in Form -->
                    {{ form_start(registrationForm,{'attr':{'class':'theme-form'}}) }}
                        <div class="row g-2 mt-3">
                              <div class="col-6">
                                <div class="form-group">
                                  {{ form_row(registrationForm.lastName)}}
                                  </div>
                                </div>
                                <div class="col-6">
                                  <div class="form-group">
                                  {{ form_row(registrationForm.firstName)}}
                                  </div>
                                </div>
                              </div>
                          </div>
                           
                          
                          <div class="form-group">
                            {{ form_row(registrationForm.email)}}
                          </div>
                           <div class="form-group">
                            {{ form_row(registrationForm.phoneNumber)}}
                          </div>


                          <div class="form-group">
                            <div class="form-input position-relative">
                            {{ form_row(registrationForm.plainPassword.first) }}
                             {# <div class="show-hide"><span class="show"></span></div>#}
                            </div>
                          </div>


                          <div class="form-group">
                              <div class="form-input position-relative">
                                {{ form_row(registrationForm.plainPassword.second) }}
                               {# <div class="show-hide"><span class="show"></span></div>#}
                          </div>
                      <div class="form-group mb-0">
                     
                        <div class="checkbox p-0">
                            {{ form_row(registrationForm.agreeTerms) }}
                        </div>
                        
                        <div class="checkbox" id="organiser" name="organiser>
                          <label for="organiser">Je veux créer un compte organisateur</label>
                        </div>
                         <br>
                         <br>
                      <button class="btn btn-primary btn-block w-100" type="submit">Créer un compte</button>
                    </div>

                    <div class="crancy-wc__bottom">
                          <p class="crancy-wc__text">
                           Vous avez déjà un compte ?
                            <a href="{{path('app_login')}}">Se connecter</a>
                          </p>
                    </div>

                    
                    {{ form_end(registrationForm) }}
                    <!-- End Sign in Form -->
                  </div>
                  <!-- Footer Top -->
                  <div class="crancy-wc__footer--top">
                    <div class="crancy-wc__footer">
                      
                    </div>
                    <br>
                    <p class="crancy-wc__footer--copyright">
                       @ 2024 <a href="#">Eventy.</a> Tous droits réservés.
                    </p>
                  </div>
                  <!-- End Footer Top -->
                </div>
              </div>
            </div>
            <div
              class="crancy-wc__banner crancy-bg-cover"
              style="background-image: url('assetsdash/img/welcome-vector-shape.png')"
            >
              <div class="crancy-wc__banner--img">
                <img src="{{asset('assetsdash/img/welcome-vector.png')}}" alt="#" />
              </div>
              <div class="crancy-wc__slider">
                <!-- Sinlge Slider -->
                <div class="single-slider">
                  <div class="crancy-wc__slider--single">
                    <div class="crancy-wc__slider--content">
                      <h4 class="crancy-wc__slider--title">
                        The Easiest Way to Build <br />
                        your Own Business
                      </h4>
                      <p class="crancy-wc__slider--text">
                        Curates the best new blockchain jobs at leading
                        companies that use blockchain technology
                      </p>
                    </div>
                  </div>
                </div>
            
              </div>
            </div>
          </div>
          <!-- End Welcome Banner -->
        </div>
      </section>
    </div>













{#

    {% for flash_error in app.flashes('verify_email_error') %}
        <div class="alert alert-danger" role="alert">{{ flash_error }}</div>
    {% endfor %}

    <h1>Register</h1>

    {{ form_errors(registrationForm) }}

    {{ form_start(registrationForm) }}
        {{ form_row(registrationForm.email) }}
        {{ form_row(registrationForm.plainPassword, {
            label: 'Password'
        }) }}
        {{ form_row(registrationForm.agreeTerms) }}

        <button type="submit" class="btn">Register</button>
    {{ form_end(registrationForm) }}#}
{% endblock %}
